=== debian/changelog ===
sipwitch (1.6.1-2build2) wily; urgency=medium

  * No-change rebuild against libucommon7v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 21:44:54 +0000

sipwitch (1.6.1-2build1) wily; urgency=medium

  * No change rebuild for new ucommon soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Jul 2015 17:06:09 +0200

sipwitch (1.6.1-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Resolve major versions from upstream autotools (not
    changelog/hardcoded).
  * Fix have -dev package install pkgconfig file.
  * Modernize git-buildpackage config: Drop "git-" prefix.
  * Update copyright info:
    + Fix use SPDX shortname for X11 license.
      Thanks to Paul Richards Tagliamonte.
    + Extend coverage for myself.
  * Fix relax d-shlibs quirks to match any API versions.
  * Adjust CDBS hints to use current automake and autoconf.
    Build-depend on automake (not automake1.11).
    Tighten build-dependency on cdbs.
  * Have autotools add non-shipped autotools.
  * Have autotools force use pkg-config.
    Closes: bug#784231. Thanks to Jonathan Wiltshire.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 May 2015 14:57:35 +0200

sipwitch (1.6.1-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + ucommon abi 6 support.
    + drop switchview (moved to standalone package).
    + usage of new context aware intermediary voip functions.
    + fixes for official exosip2 4.0.
    + improved ssl configure check.

  [ Jonas Smedegaard ]
  * Fix copy-paste error in short descriptions.
    Closes: bug#679392, #679393. Thanks to Davide Prina.
  * Bump dephelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.
    + Drop Files sections for no longer shipped files.
    + Extend copyright coverage for autotools to include recent years.
    + Add git URL as alternate source.
  * Drop patch 1001: Not strictly necessary.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs: Needed version
      satisfied even in oldstable.
    + Tighten build-dependency on libucommon-dev: Fixes FTBFS.
      Closes: bug#707450. Thanks to Lucas Nussbaum and Andrey
      Rahmatullin.
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump standards-version to 3.9.4.
  * Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Have git-import-orig avoid .git-ignore files.
  * Stop tracking md5sum of upstream tarball.
  * Add d-shlibs override to resolve now unversioned libucommon-dev
    dependency.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Jul 2013 11:37:18 +0200
