=== debian/control ===
Source: sipwitch
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.123~),
 autotools-dev,
 devscripts,
 libtool,
 automake,
 autoconf,
 debhelper,
 dh-buildinfo,
 libucommon-dev (>= 6),
 libexosip2-dev,
 pkg-config,
 libavahi-client-dev,
 d-shlibs
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/sipwitch/
Section: net
Vcs-Git: git://anonscm.debian.org/git/collab-maint/sipwitch
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sipwitch.git

Package: sipwitch
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
Recommends: cron,
 logrotate
Suggests: sipwitch-cgi
Description: secure peer-to-peer VoIP server for the SIP protocol
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the sipwitch daemon and related utilities.

Package: libsipwitch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libsipwitch1 (= ${binary:Version}),
 ${devlibs:Depends},
Description: secure peer-to-peer SIP VoIP server - development files
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the development headers and static libraries.

Package: libsipwitch1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
 libsipwitch1 (= ${binary:Version})
Description: secure peer-to-peer SIP VoIP server - debug symbols
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the debugging symbols.

Package: libsipwitch1
Section: libs
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: sipwitch
Description: secure peer-to-peer SIP VoIP server - shared libraries
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the shared libraries.

Package: sipwitch-cgi
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Recommends: sipwitch, apache2 | httpd-cgi
Description: secure peer-to-peer SIP VoIP server - CGI XML-RPC interface
 GNU SIP Witch is a secure peer-to-peer VoIP server.  Calls can be made
 even behind NAT firewalls, and without needing a service provider.  SIP
 Witch can be used on the desktop to create bottom-up secure calling
 networks as a free software alternative to Skype.  SIP Witch can also
 be used as a stand-alone SIP-based office telephone server, or to
 create secure VoIP networks for an existing IP-PBX such as Asterisk,
 FreeSWITCH, or Yate.
 .
 This package contains the CGI-based XML-RPC interface for managing a
 locally resident sipw daemon, including the  ability to collect
 statistics and call information, and to perform control operations.
 This is meant to support creation of  remote  management  applications
 for sipwitch, especially when sipw might be executed on a dedicated
 router.
