=== debian/changelog ===
sipwitch (1.9.15-3) unstable; urgency=medium

  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2016 18:07:56 +0200

sipwitch (1.9.15-2) unstable; urgency=medium

  * Fix fail on testsuite failure when targeted non-experimental.
  * Update symbols file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2016 15:00:50 +0200

sipwitch (1.9.15-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    Closes: Bug#813646, #821785. Thanks to Ohm Base and Chris Lamb.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Extend coverage for upstream authors.
    + List upstream bug mail addresses (not main upstream author) as
      preferred contact.
  * Adjust parsing of ucommon major version.
  * Stop cleanup autools now shipped upstream.
  * Move packaging to Debian VoIP team.
  * Update watch file: Mention gbp in usage comment. Bump to version 4.
  * Update git-buildpackage config: Ignore any .git* file.
  * Drop CDBS get-orig-source target: Use "gbp import-orig --uscan"
    instead.
  * Declare compliance with Debian Policy 3.9.8.
  * Update package relations:
    + Tighten build-dependency on libucommon-dev.
    + Tighten build-dependency on d-shlibs: Needed for ucommon,
      sipwitch, exosip and osip quirks.
    + Build-depend on libsystemd-dev on linux.
  * Adjust for upstream changes:
    + Stop install sipwitch-config binary or man page.
    + Install sipcontrol (not sipwitch) binary and manpage.
  * Add patch 1001 to have initscript source LSB init-functions.
  * Print test-suite.log on testsuite failure, and don't have it fail
    build when targeted experimental.
  * Track symbols with pkgkde-gensymbols.
    Build-depend on pkg-kde-tools.
  * Fix put aside more upstream-shipped temp files during build.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 14:44:02 +0200
