=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sipwitch
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs (>= 0.4.123~),
  autotools-dev,
  devscripts,
@@ -10,16 +10,19 @@
  autoconf,
  debhelper,
  dh-buildinfo,
- libucommon-dev (>= 6),
+ libucommon-dev (>= 7),
  libexosip2-dev,
  pkg-config,
  libavahi-client-dev,
- d-shlibs
-Standards-Version: 3.9.4
+ libsystemd-dev [linux-any],
+ dpkg-dev (>= 1.17.0),
+ pkg-kde-tools,
+ d-shlibs (>= 0.73~)
+Standards-Version: 3.9.8
 Homepage: http://www.gnu.org/software/sipwitch/
 Section: net
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/sipwitch
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sipwitch.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sipwitch
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sipwitch.git
 
 Package: sipwitch
 Architecture: any
