=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 DEB_AUTO_UPDATE_AUTOHEADER = ,
 DEB_AUTO_UPDATE_ACLOCAL = ,
 DEB_AUTO_UPDATE_AUTOMAKE = ,
-include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
 #include /usr/share/cdbs/1/class/cmake.mk
@@ -42,25 +41,31 @@
 pkg-cgi = $(stem)-doc
 libname = lib$(stem)
 pkgconfigstems = $(libname)
-ucommon-major := $(shell grep ^UCOMMON_REQUIRES= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
-
-DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/sipwitch
+ucommon-major := $(shell grep ^USES_UCOMMON_REQUIRED= configure.ac | grep -o '[[:digit:]]*' | head -n 1)
 
 CDBS_BUILD_DEPENDS += , libucommon-dev (>= $(ucommon-major)), libexosip2-dev
 CDBS_BUILD_DEPENDS += , pkg-config, libavahi-client-dev
+CDBS_BUILD_DEPENDS +=, libsystemd-dev [linux-any]
 
-DEB_MAKE_CHECK_TARGET = check
+# resolve if release is experimental
+CDBS_BUILD_DEPENDS +=, dpkg-dev (>= 1.17.0)
+EXP_RELEASE = $(filter experimental% UNRELEASED,\
+ $(shell dpkg-parsechangelog -S Distribution))
 
-devbinfiles = sipwitch-config
-binfiles = sippasswd sipquery sipwitch
+CDBS_BUILD_DEPENDS +=, pkg-kde-tools
+include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
+
+DEB_MAKE_CHECK_TARGET = check \
+ || { cat test/test-suite.log; $(if $(EXP_RELEASE),,false;) }
+
+binfiles = sippasswd sipquery sipcontrol
 sbinfiles = sipw
 cgifiles = sipwitch-cgi
-DEB_INSTALL_MANPAGES_$(pkg-dev) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(devbinfiles))
 DEB_INSTALL_MANPAGES_$(pkg-bin) = $(patsubst %,debian/tmp/usr/share/man/man1/%.1,$(binfiles))
 DEB_INSTALL_MANPAGES_$(pkg-bin) += $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(sbinfiles))
 DEB_INSTALL_MANPAGES_$(pkg-cgi) = $(patsubst %,debian/tmp/usr/share/man/man8/%.8,$(cgifiles))
 DEB_DH_INSTALL_ARGS_ALL = --autodest
-DEB_DH_INSTALL_ARGS_$(pkg-dev) = $(addprefix usr/bin/,$(devbinfiles))
 DEB_DH_INSTALL_ARGS_$(pkg-bin) = $(addprefix usr/bin/,$(binfiles))
 DEB_DH_INSTALL_ARGS_$(pkg-bin) += $(addprefix usr/sbin/,$(sbinfiles))
 DEB_DH_INSTALL_ARGS_$(pkg-bin) += usr/lib/sipwitch/*.so etc
@@ -71,6 +76,8 @@
 makefiledirs = common inc inc/sipwitch server test utils
 upstreamtmpfiles = Makefile.in $(addsuffix /Makefile.in,$(makefiledirs))
 upstreamtmpfiles += aclocal.m4 autoconf/ltmain.sh configure sipwitch.spec
+upstreamtmpfiles += autoconf/compile autoconf/depcomp autoconf/missing
+upstreamtmpfiles += sipwitch-config.h.in
 pre-build:: debian/stamp-upstreamtmpstuff
 debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
 	for file in $(upstreamtmpfiles); do \
@@ -90,7 +97,6 @@
 DEB_AUTOMAKE_ARGS = --add-missing
 clean::
 	rm -rf m4
-	rm -f autoconf/compile autoconf/test-driver
 
 # TODO: Enable docs when sensible (i.e. not mainly doing illegal ../ucommon)
 #DEB_INSTALL_DOCS_$(pkg-doc) += doc/html
@@ -111,14 +117,14 @@
 
 # Let d-shlibs calculate development package dependencies
 #  and handle shared library install
-CDBS_BUILD_DEPENDS += , d-shlibs
+#  * d-shlibs 0.68 needed for libsipwitch quirk
+#  * d-shlibs 0.73 needed for libucommon, libexosip and libosib quirks
+CDBS_BUILD_DEPENDS +=, d-shlibs (>= 0.73~)
 binary-post-install/$(pkg-lib):: debian/stamp-local-shlibs-$(libname)
 debian/stamp-local-shlibs-$(libname): binary-install/$(pkg-lib)
 	d-shlibmove --commit \
 		--devunversioned \
 		--exclude-la \
-		--override 's/$(libname)[0-9]\+-dev/$(libname)-dev/' \
-		--override 's/libucommon[0-9]\+-dev/libucommon-dev/' \
 		--movedev "debian/tmp/usr/include/*" usr/include/ \
 		$(patsubst %,--movedev debian/tmp/usr/lib/pkgconfig/%.pc usr/lib/pkgconfig,$(pkgconfigstems)) \
 		$(patsubst %,--extralib debian/tmp/usr/lib/%.so,$(extralibnames)) \
