=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
http://ftp.gnu.org/gnu/sipwitch/sipwitch-(\d.*)\.tar\.gz
